<template>
  <v-card>
    <v-list two-line>
      <template v-for="(item, index) in itemsMission">
        <v-list-tile
          :key="item.title"
          avatar
          ripple
          @click="toggle(index)"
        >
          <v-list-tile-content>
            <v-list-tile-title>{{ item.title }}</v-list-tile-title>
            <v-list-tile-sub-title>{{ item.subtitle }}</v-list-tile-sub-title>
          </v-list-tile-content>

          <v-list-tile-action>
            <v-list-tile-action-text>{{ item.action }}</v-list-tile-action-text>
            <v-icon
              v-if="selected.indexOf(index) < 0"
              color="red lighten-1"
            >
              block
            </v-icon>

            <v-icon
              v-else
              color="green lighten-2"
            >
              check_circle
            </v-icon>
          </v-list-tile-action>

        </v-list-tile>
        <v-divider
          v-if="index + 1 < itemsMission.length"
          :key="index"
        ></v-divider>
      </template>
    </v-list>
    <div>
      <v-btn name="" color="success"
      :disabled="enableButtonStartMission"
      to="/arj">Partir en mission</v-btn>
    </div>
  </v-card>
</template>

<script>
  export default {
    methods: {
      toggle (index) {
        const i = this.selected.indexOf(index)

        if (i > -1) {
          this.selected.splice(i, 1)
        } else {
          this.selected.push(index)
        }
      }
    },
    computed: {
      enableButtonStartMission: function () {
        return this.selected.length !== this.itemsMission.length
      },
      selected: function () {
        return this.$store.getters.selected
      },
      itemsMission: function () {
        return this.$store.getters.itemsMission
      }
    }
  }
</script>
